org.springframework.core.enums

## Class LetterCodedLabeledEnum

- java.lang.Object
- - org.springframework.core.enums.AbstractLabeledEnum
  - - org.springframework.core.enums.AbstractGenericLabeledEnum
    - - org.springframework.core.enums.LetterCodedLabeledEnum

All Implemented Interfaces:
  Serializable, Comparable, LabeledEnum

Deprecated.
as of Spring 3.0, in favor of Java 5 enums.

    @Deprecated
    public class LetterCodedLabeledEnum
    extends AbstractGenericLabeledEnum

Implementation of LabeledEnum which uses a letter as the code type.

Should almost always be subclassed, but for some simple situations it may be used directly. Note that you will not be able to use unique type-based functionality like `LabeledEnumResolver.getLabeledEnumSet(type)` in this case.

Since:
  1.2.2
Author:
  Keith Donald
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.springframework.core.enums.LabeledEnum

`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

### Constructor Summary

Constructors
Constructor and Description
`LetterCodedLabeledEnum(char code, String label)` Deprecated. Create a new LetterCodedLabeledEnum instance.

### Method Summary

Methods
`Comparable` `getCode()` Deprecated. Return this enumeration's code.
`char` `getLetterCode()` Deprecated. Return the letter code of this LabeledEnum instance.

### Methods inherited from class org.springframework.core.enums.AbstractGenericLabeledEnum

`getLabel`

### Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum

`compareTo, equals, getType, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LetterCodedLabeledEnum

    public LetterCodedLabeledEnum(char code,
                          String label)

Deprecated.
Create a new LetterCodedLabeledEnum instance.

Parameters:
  `code` - the letter code
  `label` - the label (can be `null`)

### Method Detail

#### getCode

    public Comparable getCode()

Deprecated.
Description copied from interface: `LabeledEnum`
Return this enumeration's code.

Each code should be unique within enumerations of the same type.

#### getLetterCode

    public char getLetterCode()

Deprecated.
Return the letter code of this LabeledEnum instance.